export default async function handler(req, res) {
  if (req.method !== 'POST') {
    return res.status(405).json({ error: 'Method not allowed' });
  }

  try {
    const { answer } = req.body;
    const correctAnswer = 'keyboard';

    if (answer.toLowerCase() === correctAnswer) {
      return res.status(200).json({
        version: 'vNext',
        image: {
          src: 'https://puzzleprizeframehub.pro/winner-banner.png',
          aspectRatio: '1.91:1'
        },
        buttons: [
          {
            label: 'Claim Prize',
            action: 'link',
            target: 'https://puzzleprizeframehub.pro/claim'
          }
        ]
      });
    } else {
      return res.status(200).json({
        version: 'vNext',
        image: {
          src: 'https://puzzleprizeframehub.pro/try-again-banner.png',
          aspectRatio: '1.91:1'
        },
        buttons: [
          {
            label: 'Try Again',
            action: 'post'
          }
        ]
      });
    }
  } catch (error) {
    console.error('Frame API error:', error);
    return res.status(500).json({ error: 'Internal server error' });
  }
}
